Summary:	Library for NTLM authentication
Summary(pl.UTF-8):	Biblioteka do uwierzytelniania NTLM
Name:		libntlm
Version:	1.6
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.nongnu.org/libntlm/releases/%{name}-%{version}.tar.gz
# Source0-md5:	9894aeb485fa27a481b270fce5055f1c
URL:		http://www.nongnu.org/libntlm/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libntlm library provides routines to manipulate the structures used
for the client end of Microsoft NTLM authentication.

This code was taken mostly from the Samba project and was initially
intended for use with Microsoft Exchange Server when it is configured
to require NTLM authentication for clients of its IMAP server.

%description -l pl.UTF-8
Biblioteka Libntlm dostarcza procedury do obróbki struktur używanych
po stronie klienta mechanizmu uwierzytelniania Microsoft NTLM.

Ten kod pochodzi w większości z projektu Samba i początkowo miał być
używany z serwerem Microsoft Exchange w przypadku, gdy został
skonfigurowany aby wymagać uwierzytelnienia NTLM od klientów swojego
serwera IMAP.

%package devel
Summary:	Header files for Libntlm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Libntlm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Libntlm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Libntlm.

%package static
Summary:	Static Libntlm library
Summary(pl.UTF-8):	Statyczna biblioteka Libntlm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Libntlm library.

%description static -l pl.UTF-8
Statyczna biblioteka Libntlm.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no external dependencies, obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libntlm.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_libdir}/libntlm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libntlm.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntlm.so
%{_includedir}/ntlm.h
%{_pkgconfigdir}/libntlm.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libntlm.a
%changelog
* Sun Oct 04 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libntlm.git;a=log;h=master

* Sun Oct 04 2020 Jan Palus <atler@pld-linux.org> c25cbc4
- up to 1.6 (fixes CVE-2019-17455)

* Tue Oct 02 2018 Adam Gołębiowski <adamg@pld-linux.org> d9eaebc
- updated to 1.5

* Sun Feb 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 2a9e6a3
- new URLs, updated to 1.4
- official project name is Libntlm (see URL), updated descriptions
- dropped .la file

* Sat Apr 25 2015 Jan Rękorajski <baggins@pld-linux.org> 6c6b7df
- drop ac/am regeneration, it's unneeded and doesn't work with current toolset
- rel 2

* Thu Mar 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 71d54cc
- updated to 1.2

* Mon May 12 2008 Jakub Bogusz <qboosh@pld-linux.org> 0bbd4d5
- updated to 1.0

* Thu Mar 27 2008 Elan Ruusamäe <glen@pld-linux.org> 6f9e133
- rm outdated libtool m4 macros

* Thu Mar 27 2008 Elan Ruusamäe <glen@pld-linux.org> 6c3efb7
- force system libtool, which is not broken; rel 2

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 42b8c5d
- updated to 0.4.2

* Sat Dec 15 2007 Jakub Bogusz <qboosh@pld-linux.org> a9311e3
- updated to 0.4.1

* Tue May 01 2007 Jakub Bogusz <qboosh@pld-linux.org> bc24b38
- updated to 0.3.13

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 50c6fe4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9ffc243
- converted to UTF-8

* Wed Dec 13 2006 Paweł Sikora <pluto@pld-linux.org> 24d2a4a
- release 2, rebuild with P: *.la.

* Mon Sep 18 2006 Jakub Bogusz <qboosh@pld-linux.org> d737b7c
- updated to 0.3.12

* Wed May 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 500fb41
- updated to 0.3.11

* Thu Nov 17 2005 Jakub Bogusz <qboosh@pld-linux.org> 5b11098
- updated to 0.3.9

* Fri Oct 07 2005 Jakub Bogusz <qboosh@pld-linux.org> 2d4ec47
- updated to 0.3.8, License is LGPL

* Mon Aug 15 2005 Jakub Bogusz <qboosh@pld-linux.org> 744dc1a
- updated to 0.3.7

* Tue May 31 2005 Karol Krenski <charles@pld-linux.org> 7e280b1
- libtoolize, BR: libtool

